#!/bin/sh

cert="$1"
name="${cert##*/}"
script="/etc/acme-tiny/notify.d/${name%.crt}.sh"

# kick apache if cert is mentioned
if grep "$cert" /etc/httpd/conf.d/*.conf >/dev/null 2>&1; then
  apachectl graceful
fi

# kick sendmail if cert is mentioned
if grep "/etc/pki/tls/certs/$name" /etc/mail/*.cf >/dev/null 2>&1; then
  cp "$cert" /etc/pki/tls/certs && systemctl restart sendmail 
fi

# run any dropin extension
if test -x "$script"; then
  "$script" "$cert"
fi
